Package org.eclipse.zest.cloudio

# Class CloudOptionsComposite

java.lang.Object
org.eclipse.swt.widgets.Widget
org.eclipse.swt.widgets.Control
org.eclipse.swt.widgets.Scrollable
org.eclipse.swt.widgets.Composite
org.eclipse.zest.cloudio.CloudOptionsComposite

All Implemented Interfaces:
  `Drawable`

public class CloudOptionsComposite extends Composite
Provides options to modify the rendering of a `TagCloudViewer` using an `IEditableCloudLabelProvider`.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected List<RGB>`
`colors`
`protected List<List<RGB>>`
`colorSchemes`
`protected int`
`currentScheme`
`protected List<FontData>`
`fonts`
`protected TagCloudViewer`
`viewer`

### Fields inherited from class org.eclipse.swt.widgets.Control

`view`

## Constructor Summary

Constructors
Constructor
Description
`CloudOptionsComposite(Composite parent, int style, TagCloudViewer viewer)`

## Method Summary

Modifier and Type
Method
Description
`protected Group`
`addColorButtons(Composite parent)`
`protected Group`
`addFontButtons(Composite parent)`
`protected void`
`addGroups()`
`protected Group`
`addLayoutButtons(Composite parent)`
`protected void`
`addScheme(RGB... rgbs)`
`protected Image`
`createImageFromColor(RGB rgb, int size)`
`List<RGB>`
`getColors()`
`List<FontData>`
`getFonts()`
`protected void`
`initColors()`
`protected void`
`nextColors()`
`protected void`
`updateColors()`
`protected void`
`updateFonts()`

### Methods inherited from class org.eclipse.swt.widgets.Composite

`changed, checkSubclass, computeSize, drawBackground, getBackgroundMode, getChildren, getLayout, getLayoutDeferred, getTabList, isLayoutDeferred, layout, layout, layout, layout, layout, redraw, setBackgroundMode, setFocus, setLayout, setLayoutDeferred, setTabList, toString`

### Methods inherited from class org.eclipse.swt.widgets.Scrollable

`computeTrim, getClientArea, getHorizontalBar, getScrollbarsMode, getVerticalBar, setScrollbarsMode`

### Methods inherited from class org.eclipse.swt.widgets.Control

`addControlListener, addDragDetectListener, addFocusListener, addGestureListener, addHelpListener, addKeyListener, addMenuDetectListener, addMouseListener, addMouseMoveListener, addMouseTrackListener, addMouseWheelListener, addPaintListener, addTouchListener, addTraverseListener, computeSize, dragDetect, dragDetect, forceFocus, getAccessible, getBackground, getBackgroundImage, getBorderWidth, getBounds, getCursor, getDragDetect, getEnabled, getFont, getForeground, getLayoutData, getLocation, getMenu, getMonitor, getOrientation, getParent, getRegion, getShell, getSize, getTextDirection, getToolTipText, getTouchEnabled, getVisible, internal_dispose_GC, internal_new_GC, isEnabled, isFocusControl, isReparentable, isVisible, moveAbove, moveBelow, pack, pack, print, redraw, removeControlListener, removeDragDetectListener, removeFocusListener, removeGestureListener, removeHelpListener, removeKeyListener, removeMenuDetectListener, removeMouseListener, removeMouseMoveListener, removeMouseTrackListener, removeMouseWheelListener, removePaintListener, removeTouchListener, removeTraverseListener, requestLayout, setAutoscalingMode, setBackground, setBackgroundImage, setBounds, setBounds, setCapture, setCursor, setDragDetect, setEnabled, setFont, setForeground, setLayoutData, setLocation, setLocation, setMenu, setOrientation, setParent, setRedraw, setRegion, setSize, setSize, setTextDirection, setToolTipText, setTouchEnabled, setVisible, toControl, toControl, toDisplay, toDisplay, traverse, traverse, traverse, update`

### Methods inherited from class org.eclipse.swt.widgets.Widget

`addDisposeListener, addListener, addTypedListener, checkWidget, dispose, getData, getData, getDisplay, getListeners, getStyle, getTypedListeners, isAutoDirection, isDisposed, isListening, notifyListeners, removeDisposeListener, removeListener, removeListener, removeListener, removeTypedListener, reskin, setData, setData`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.swt.graphics.Drawable

`isAutoScalable`

## Field Details

### viewer

protected TagCloudViewer viewer

### colors

protected List<RGB> colors

### fonts

protected List<FontData> fonts

### colorSchemes

protected List<List<RGB>> colorSchemes

### currentScheme

protected int currentScheme

## Constructor Details

### CloudOptionsComposite

public CloudOptionsComposite(Composite parent, int style, TagCloudViewer viewer)

## Method Details

### addGroups

protected void addGroups()

### addScheme

protected void addScheme(RGB... rgbs)

### updateColors

protected void updateColors()

### updateFonts

protected void updateFonts()

### initColors

protected void initColors()

### nextColors

protected void nextColors()

### addFontButtons

protected Group addFontButtons(Composite parent)

### createImageFromColor

protected Image createImageFromColor(RGB rgb, int size)

### addColorButtons

protected Group addColorButtons(Composite parent)

### addLayoutButtons

protected Group addLayoutButtons(Composite parent)

### getColors

public List<RGB> getColors()

### getFonts

public List<FontData> getFonts()